Bug 1297401 - [GSS](6.4.z) WELD-2086 - Invocations of message listener methods of message-driven beans are not intercepted
[GSS](6.4.z) WELD-2086 - Invocations of message listener methods of message-d...
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: CDI/Weld (Show other bugs)
6.4.5
All All
unspecified Severity medium
: CR1
: EAP 6.4.7
Assigned To: Chao Wang
Matej Novotny
:
Depends On:
Blocks: eap647-payload 1297607
  Show dependency treegraph
 
Reported: 2016-01-11 07:18 EST by Carsten Lichy-Bittendorf
Modified: 2017-01-17 06:55 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-01-17 06:55:56 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker WELD-2086 Major Resolved [1.1] Backport WELD-1038 2017-03-23 05:49 EDT
Red Hat Knowledge Base (Solution) 2111231 None None None 2016-03-06 06:46 EST

  None (edit)
Description Carsten Lichy-Bittendorf 2016-01-11 07:18:39 EST
Description of problem:
CDI interceptors fail on MDBs related to https://issues.jboss.org/browse/WELD-1038.

https://issues.jboss.org/browse/WELD-2086 has been resolved and the fix will be delivered within 1.1.33.Final [1]. 
[1] https://issues.jboss.org/projects/WELD/versions/12329357

Please add to the next feasible CP payload
Comment 3 Petr Penicka 2017-01-17 06:55:56 EST
Retroactively bulk-closing issues from released EAP 6.4 cumulative patches.

Note You need to log in before you can comment on or make changes to this bug.